### Home Classes Methods

### In Files

- lib/yajl/json_gem.rb

### Methods

- #JSON

### Class Index

Quicksearch

- Yajl
- Yajl::Bzip2
- Yajl::Bzip2::StreamReader
- Yajl::Bzip2::StreamWriter
- Yajl::Deflate
- Yajl::Deflate::StreamReader
- Yajl::Deflate::StreamWriter
- Yajl::Encoder
- Yajl::Gzip
- Yajl::Gzip::StreamReader
- Yajl::Gzip::StreamWriter
- Yajl::HttpStream
- Yajl::HttpStream::HttpError
- Yajl::HttpStream::InvalidContentType
- Yajl::Parser
- JSON
- JSON::GeneratorError
- JSON::JSONError
- JSON::ParserError
- Kernel
- Object

No matching classes.

# Kernel

### Public Instance Methods

JSON(object, opts = {}) click to toggle source

        # File lib/yajl/json_gem.rb, line 6
     6:   def JSON(object, opts = {})
     7:     if object.respond_to? :to_s
     8:       JSON.parse(object.to_s, JSON.default_options.merge(opts))
     9:     else
    10:       JSON.generate(object, opts)
    11:     end
    12:   end

Disabled; run with --debug to generate this.

[Validate]

Generated with the Darkfish Rdoc Generator 1.1.6.